#include <cstdio>
#include <unordered_set>

using namespace std;

int main()
{
    long long n;
    scanf("%lld",&n);

    long long a[n];

    for(long long i=0;i<n;i++)
        scanf("%lld",&a[i]);

    for(long long i=0;i<n;i++)
    {
        unordered_set<long long> br;

        for(long long j=1;j<=a[i];j++)
        {
            long long res=1;
            long long g=j;

            while(g)
            {
                int d=g%10;
                if(d==0)
                {
                    br.insert(0);
                    res=-1;
                    break;
                }
                res*=d;
                g/=10;
            }

            if(res!=-1)
                br.insert(res);
        }

        printf("%zu\n",br.size());
    }
    return 0;
}